Holger's Java API

## com.antelmann.crm
Interface Addressable

All Known Subinterfaces:
  AddressInfo, Contact, Person

All Known Implementing Classes:
  AddressInfoImpl, ContactImpl, GPerson, PersonImpl, PropertyEntryWithAddress

    public interface Addressable

identifies an object that has is addressable through a GlobalAddress instance

Since:
  15.11.2008, 18:31:33
Author:
  Holger Antelmann

Method Summary
`GlobalAddress` `getAddress()` always returns a non-null value referring directly to the embedded main Address instance, which provides a way to 'address' the implementing instance

Method Detail

### getAddress

    GlobalAddress getAddress()

  always returns a non-null value referring directly to the embedded main Address instance, which provides a way to 'address' the implementing instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads